#!/bin/sh

# Allow services to start after installing
# echo -e "#\0041/bin/sh\nexit 0" > /usr/sbin/policy-rc.d

# Install wget (to download the mysql-apt-config file) and lsb-release (needed by mysql-apt-config)
apt-get update 
apt-get install debconf-utils wget lsb-release --yes


# Set up unattended install 
export DEBIAN_FRONTEND=noninteractive

# Install the new server
echo mysql-apt-config mysql-apt-config/select-product select Ok | debconf-set-selections
echo mysql-apt-config mysql-apt-config/select-server select mysql-5.6 | debconf-set-selections

# Use 'root' for the password for consistency with what Pressmatic has
echo mysql-community-server mysql-community-server/root_password password root | debconf-set-selections
echo mysql-community-server mysql-community-server/root_password_again password root | debconf-set-selections
echo mysql-community-server mysql-community-server/re-root-pass password root | debconf-set-selections

# Back up our current init script
cp /etc/init.d/mysql /etc/init.d/mysql.back


# Download mysql-apt-config 
wget -c http://dev.mysql.com/get/mysql-apt-config_0.7.3-1_all.deb

# Install the deb file
dpkg -i mysql-apt-config_0.7.3-1_all.deb

# Tell apt about the new packages
apt-get update

/etc/init.d/mysql stop

apt-get install -q -y -o Dpkg::Options::="--force-confdef" -o Dpkg::Options::="--force-confold" mysql-community-server
# NOTE: Don't replace the existing config file

# Restore the original init script
cp /etc/init.d/mysql.back /etc/init.d/mysql

# Start up your new MySQL
/etc/init.d/mysql start

mysql_upgrade -uroot -proot
